## list-commits.ps1 - Lists all commits in a Git repository

This script lists all commits in a Git repository. Supported output formats are: list, compact, normal or JSON.

## Parameters
```powershell
/home/markus/Repos/PowerShell/Scripts/list-commits.ps1 [[-RepoDir] <String>] [[-Format] <String>] [<CommonParameters>]

-RepoDir <String>
    Specifies the path to the Git repository.
    
    Required?                    false
    Position?                    1
    Default value                "$PWD"
    Accept pipeline input?       false
    Accept wildcard characters?  false

-Format <String>
    Specifies the output format: list|compact|normal|JSON
    
    Required?                    false
    Position?                    2
    Default value                list
    Accept pipeline input?       false
    Accept wildcard characters?  false

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

## Example
```powershell
PS> ./list-commits



ID      Date                            Committer               Description
--      ----                            ---------               -----------
ccd0d3e Wed Sep 29 08:28:20 2021 +0200  Markus Fleschutz        Fix typo
291d785 Wed Sep 29 08:18:28 2021 +0200  Markus Fleschutz        Update README.md
...

```

## Notes
Author: Markus Fleschutz · License: CC0

## Related Links
https://github.com/fleschutz/PowerShell

*Generated by convert-ps2md.ps1 using the comment-based help of list-commits.ps1*
